umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
apackage.Generic< T > Class Template Reference

## Public Member Functions
| Generic ()
| Generic (T value)
void | set (T value)
T | get ()
boolean | isEmpty ()
void | empty ()

## Private Attributes
T | value

## Constructor & Destructor Documentation

## ◆ Generic() [1/2]

apackage.Generic< T >.Generic | ( |  | ) |
| inline

## ◆ Generic() [2/2]

apackage.Generic< T >.Generic | ( | T | value | ) |
| inline

## Member Function Documentation

## ◆ empty()

void apackage.Generic< T >.empty | ( |  | ) |
| inline

## ◆ get()

T apackage.Generic< T >.get | ( |  | ) |
| inline

## ◆ isEmpty()

boolean apackage.Generic< T >.isEmpty | ( |  | ) |
| inline

## ◆ set()

void apackage.Generic< T >.set | ( | T | value | ) |
| inline

## Member Data Documentation

## ◆ value

T apackage.Generic< T >.value
| private

The documentation for this class was generated from the following file:

- test/import/java/apackage/Generic.java